Name:           eventlog
Version:        0.2.7
Release:        1
Summary:        Syslog-ng v2 support library

Group:          System Environment/Libraries
License:        BSD
Url:            http://www.balabit.com/products/syslog-ng/
Source0:        http://www.balabit.com/downloads/syslog-ng/2.0/src/eventlog-%{version}.tar.gz
Source1:        http://www.balabit.com/downloads/syslog-ng/2.0/src/eventlog-%{version}.tar.gz.asc
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The EventLog library aims to be a replacement of the simple syslog() API
provided on UNIX systems. The major difference between EventLog and syslog
is that EventLog tries to add structure to messages.

EventLog provides an interface to build, format and output an event record.
The exact format and output method can be customized by the administrator
via a configuration file.

This package is the runtime part of the library.

The library is available as 32-bit and 64-bit.


%package devel
Summary:        Syslog-ng v2 support library development files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
The EventLog library aims to be a replacement of the simple syslog() API
provided on UNIX systems. The major difference between EventLog and syslog
is that EventLog tries to add structure to messages.

EventLog provides an interface to build, format and output an event record.
The exact format and output method can be customized by the administrator
via a configuration file.

This package contains the development files.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
%setup -q

# xlc doesn't like the "-Wall" option, so remove it from configure
cat configure | sed -e "s| -Wall -g||" > configure.tmp
mv configure.tmp configure
chmod 755 configure

%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="cc -q64"
./configure \
    --prefix=/opt/freeware
make %{?_smp_mflags}

cp src/.libs/libevtlog.so.0 .
make distclean

# now build the 32-bit version
export CC="cc"
./configure \
    --prefix=/opt/freeware
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/libevtlog.a ./libevtlog.so.0


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING CREDITS NEWS README
%{_libdir}/libevtlog.a

%files devel
%defattr(-,root,root,-)
%doc doc/*
%{_libdir}/libevtlog.la
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/


%changelog
* Mon Jan 07 2008 Michael Perzl <michael@perzl.org> - 0.2.7-1
- updated to version 0.2.7

* Mon Jan 07 2008 Michael Perzl <michael@perzl.org> - 0.2.5-2
- included both 32-bit and 64-bit shared objects

* Mon Oct 01 2007 Michael Perzl <michael@perzl.org> - 0.2.5-1
- first version for AIX V5.1 and higher
